Bug 524934 - abrt-gui doesn't provide what's needed for denemo, pessulus and gnome-python2-bugbuddy
Summary: abrt-gui doesn't provide what's needed for denemo, pessulus and gnome-python2...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 19:11 UTC by Bruno Wolff III
Modified: 2015-02-01 22:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 10:53:58 UTC


Attachments (Terms of Use)

Description Bruno Wolff III 2009-09-22 19:11:19 UTC
Description of problem:
Even though abrt-gui obsoletes bug-buddy, installing denemo, pessulus and gnome-python2-bugbuddy still pulls in bug-buddy.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[bruno@cerberus ~bruno]# yum install denemo gnome-python2-bugbuddy pessulus
Loaded plugins: dellsysidplugin, dellsysidplugin2, keys, list-data, merge-conf,
              : priorities, protect-packages, protectbase, refresh-packagekit,
              : upgrade-helper, verify, versionlock
0 packages excluded due to repository protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package denemo.x86_64 0:0.8.4-2.fc12 set to be updated
--> Processing Dependency: bug-buddy for package: denemo-0.8.4-2.fc12.x86_64
---> Package gnome-python2-bugbuddy.x86_64 0:2.28.0-1.fc12 set to be updated
---> Package pessulus.noarch 0:2.27.92-1.fc12 set to be updated
--> Running transaction check
---> Package bug-buddy.x86_64 1:2.28.0-1.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch        Version              Repository   Size
================================================================================
Installing:
 denemo                      x86_64      0.8.4-2.fc12         fedora      1.3 M
 gnome-python2-bugbuddy      x86_64      2.28.0-1.fc12        fedora       11 k
 pessulus                    noarch      2.27.92-1.fc12       fedora      114 k
Installing for dependencies:
 bug-buddy                   x86_64      1:2.28.0-1.fc12      fedora      303 k

Transaction Summary
================================================================================
Install       4 Package(s)
Upgrade       0 Package(s)

Total download size: 1.7 M
Is this ok [y/N]: y
Downloading Packages:
--------------------------------------------------------------------------------
Total                                            15 MB/s | 1.7 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : 1:bug-buddy-2.28.0-1.fc12.x86_64                         1/4 
  Installing     : denemo-0.8.4-2.fc12.x86_64                               2/4 
  Installing     : gnome-python2-bugbuddy-2.28.0-1.fc12.x86_64              3/4 
  Installing     : pessulus-2.27.92-1.fc12.noarch                           4/4 

Installed:

  denemo.x86_64 0:0.8.4-2.fc12                                                  
  gnome-python2-bugbuddy.x86_64 0:2.28.0-1.fc12                                 
  pessulus.noarch 0:2.27.92-1.fc12                                              

Dependency Installed:
  bug-buddy.x86_64 1:2.28.0-1.fc12                                              

Complete!

Expected results:


Additional info:
Uninstalling bug-buddy takes denemo, pessulus and gnome-python2-bugbuddy with it.

Comment 1 Bruce Jerrick 2009-09-23 20:30:05 UTC
More concisely:

Description of problem:
denemo requires bug-buddy, which has been obsoleted by abrt-gui, but
nothing but the obsolete bug-buddy provides bug-buddy .

Version-Release number of selected component (if applicable):
denemo-0.8.4-3.fc12.i686.rpm
abrt-gui-0.0.9-1.fc12.i686.rpm
bug-buddy-2.28.0-1.fc12.i686.rpm

Steps to Reproduce:
1. rpm -qRp denemo-0.8.4-3.fc12.i686.rpm | grep bug-buddy
2. yum whatprovides bug-buddy

(or one can examine repodata/*primary.xml.gz)
  
Actual results:
bug-buddy is the only provider (but it's obsolete).

Expected results:
Some non-obsolete package shown as a provider.

-- Bruce Jerrick

Comment 2 Jiri Moskovcak 2009-09-24 10:53:58 UTC
I fixed this in 0.0.9-2 it should be in rawhide soon.

Jirka


Note You need to log in before you can comment on or make changes to this bug.